postcss的基本使用

安装依赖

// postcss加载器
npm install postcss postcss-loader -D
// postcss插件
npm install autoprefixer -D

配置文件

postcss.config.js

module.exports = {
    plugins: [
        require('autoprefixer')
    ]
}

package.json

{
    "browserslist": [
        "> 1%",
        "last 2 versions"
    ]
}

webpack.config.js

// 关键部分配置
module.exports = {
    module: {
        rules: [{
            test: /\.css$|\.scss$/,
            use: [
                'style-loader',
                'css-loader',
                'postcss-loader',
                'sass-loader'
            ]
        }]
    }
}

发表评论